config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/vi.exrc.new

# If there's no vi link, take over:
if [ ! -r usr/bin/vi ]; then
  ( cd usr/bin ; ln -sf nvi vi )
fi

# If there's no ex link, take over:
if [ ! -r usr/bin/ex ]; then
  ( cd usr/bin ; ln -sf nex ex )
fi
( cd usr/bin ; rm -rf nex )
( cd usr/bin ; ln -sf nvi nex )
( cd usr/bin ; rm -rf nview )
( cd usr/bin ; ln -sf nvi nview )
( cd usr/lib64 ; rm -rf libvi.so )
( cd usr/lib64 ; ln -sf libvi.so.0.0.0 libvi.so )
( cd usr/lib64 ; rm -rf libvi.so.0 )
( cd usr/lib64 ; ln -sf libvi.so.0.0.0 libvi.so.0 )
( cd usr/man/man1 ; rm -rf nex.1.gz )
( cd usr/man/man1 ; ln -sf nvi.1.gz nex.1.gz )
( cd usr/man/man1 ; rm -rf nview.1.gz )
( cd usr/man/man1 ; ln -sf nvi.1.gz nview.1.gz )
